Debian Bug report logs - #515721
syslinux help screens mention unused localboot methods

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Filipus Klutiero <chealer@gmail.com>

Date: Tue, 17 Feb 2009 07:24:01 UTC

Severity: minor

Found in version live-helper/1.0.4-1

Fixed in version 1.0.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#515721; Package general. (Tue, 17 Feb 2009 07:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
New Bug report received and forwarded. Copy sent to <debian-devel@lists.debian.org>. (Tue, 17 Feb 2009 07:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: submit@bugs.debian.org
Subject: [general] live: disk1 boot method fails
Date: Tue, 17 Feb 2009 02:21:56 -0500
Package: general
Version: 5.0.0
Severity: normal

Debian Live's disk1 boot method (F4, Boot from the first hard disk) fails on 2 
PCs from 2 tested with

Could not find kernel image: disk1

I do not have any computer with 2 HDDs, so I didn't try disk2.
I got this with 
http://cdimage.debian.org/cdimage/release/5.0.0-live/i386/usb-hdd/debian-live-500-i386-kde-desktop.img 
and the equivalent RC 1 image.




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#515721; Package general. (Tue, 17 Feb 2009 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Tue, 17 Feb 2009 08:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 515721@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Filipus Klutiero <chealer@gmail.com>, 515721@bugs.debian.org
Subject: Re: Bug#515721: [general] live: disk1 boot method fails
Date: Tue, 17 Feb 2009 09:23:26 +0100
reassign 515721 live-helper
retitle 515721 syslinux help screens mention unused localboot methods
severity 515721 minor
tag 515721 pending
thanks

Filipus Klutiero wrote:
> Package: general

could you *please* assign the bugs where they belong to. i did
*specifically* requested you here[0] to read how to write *proper* bug
reports.

Regards,
Daniel

[0] http://lists.debian.org/debian-live/2009/02/msg00114.html
[1] http://live.debian.net/manual/html/bugs.html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package `general' to `live-helper'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 08:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to `syslinux help screens mention unused localboot methods' from `[general] live: disk1 boot method fails'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 08:27:09 GMT) Full text and rfc822 format available.

Severity set to `minor' from `normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 08:27:10 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 08:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#515721; Package live-helper. (Tue, 17 Feb 2009 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 17 Feb 2009 09:12:07 GMT) Full text and rfc822 format available.

Message #23 received at 515721@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: daniel@debian.org
Cc: 515721@bugs.debian.org
Subject: Re: Bug#515721: [general] live: disk1 boot method fails
Date: Tue, 17 Feb 2009 04:08:49 -0500
Le February 17, 2009 03:23:26 am Daniel Baumann, vous avez écrit :
> reassign 515721 live-helper
> retitle 515721 syslinux help screens mention unused localboot methods
> severity 515721 minor
> tag 515721 pending
> thanks
>
> Filipus Klutiero wrote:
> > Package: general
>
> could you *please* assign the bugs where they belong to. i did
> *specifically* requested you here[0] to read how to write *proper* bug
> reports.

Is it not *obvious* that something's wrong in 
http://live.debian.net/manual/html/correct-package.html ?
If you had red my answer, you wouldn't have had to ask.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#515721; Package live-helper. (Sun, 17 May 2009 04:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Greene <dan-greene@wi.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 17 May 2009 04:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 515721@bugs.debian.org (full text, mbox):

From: Dan Greene <dan-greene@wi.rr.com>
To: Debian Bug Tracking System <515721@bugs.debian.org>
Subject: live-helper: Boot methods there, but commented out
Date: Sat, 16 May 2009 23:20:12 -0500
Package: live-helper
Version: 1.0.4-1
Severity: normal

I notice that the boot methods exist in the file live.cfg, but are
commented out.

Specifically, the file
/usr/share/live-helper/templates.debian/syslinux/common/live.cfg
contains the commented-out lines
#label floppy
#       localboot 0x00

#label disk1
#       localboot 0x80

#label disk2
#       localboot 0x81

#label nextboot
#        localboot -1

After installing a live system on a USB flash drive, I uncommented the
nextboot lines, and that boot method (which, incidentally, is not mentioned
in the help, unlike disk1 and disk2), worked correctly.



-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26custom
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.13     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-6     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.2-1                   utilities for making and checking 
ii  fakeroot       1.12.2                    Gives a fake root environment
ii  genisoimage    9:1.1.9-1                 Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-53                   GRand Unified Bootloader (Legacy v
ii  memtest86+     2.11-3                    thorough real-mode memory tester
ii  mtools         4.0.10-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
pn  squashfs-tools <none>                    (no description available)
ii  sudo           1.7.0-1                   Provide limited super user privile
ii  syslinux       2:3.80+dfsg-1             utilities for the syslinux bootloa
ii  uuid-runtime   1.41.5-1                  universally unique id library
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. (Sun, 17 May 2009 11:21:03 GMT) Full text and rfc822 format available.

Notification sent to Filipus Klutiero <chealer@gmail.com>:
Bug acknowledged by developer. (Sun, 17 May 2009 11:21:03 GMT) Full text and rfc822 format available.

Message #33 received at 515721-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Dan Greene <dan-greene@wi.rr.com>, 515721-done@bugs.debian.org
Subject: Re: Bug#515721: live-helper: Boot methods there, but commented out
Date: Sun, 17 May 2009 13:18:21 +0200
Dan Greene wrote:
> I notice that the boot methods exist in the file live.cfg, but are
> commented out.

they are uncommented on purpose - live-helper in lenny cannot deal
reliable with the config to only do the local lables for those
bootloaders that support it (e.g. syslinux and pxelinux, but not isolinux).

for squeeze, we will enabling them properly.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#515721; Package live-helper. (Sun, 17 May 2009 11:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 17 May 2009 11:33:02 GMT) Full text and rfc822 format available.

Message #38 received at 515721@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 515721@bugs.debian.org
Subject: Re: Bug#515721: live-helper: Boot methods there, but commented out
Date: Sun, 17 May 2009 13:30:48 +0200
reopen 515721
thanks

false close; as the subject of the previous message was new (rather than
an copying the subject line of the bug report), i ment it's a new bug
report, not an addition to the existing one, thus reopening.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reopened, originator not changed. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 17 May 2009 11:33:03 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Sun, 14 Jun 2009 14:48:03 GMT) Full text and rfc822 format available.

Notification sent to Filipus Klutiero <chealer@gmail.com>:
Bug acknowledged by developer. (Sun, 14 Jun 2009 14:48:03 GMT) Full text and rfc822 format available.

Message #45 received at 515721-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 515721-done@bugs.debian.org
Date: Sun, 14 Jun 2009 16:45:32 +0200
Version: 1.0.5-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jul 2009 07:29:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:39:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.